Subject: Re: [PATCH v6] doc: add an explanation of Git's data model

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Nov 2025 13:03:28 -0800

"Julia Evans via GitGitGadget" <[email-masked]> writes:

> From: Julia Evans <[email-masked]>
>
> Git very often uses the terms "object", "reference", or "index" in its
> documentation.

Not about the updated text (which I haven't carefully read yet), but
we'd need this squashed in to avoid xml that does not validate when
using AsciiDoc (not Asciidoctor) to format gitdatamode.7
documentation.

    XMLTO gitdatamodel.7
xmlto: /home/gitster/w/git.git/Documentation/gitdatamodel.xml does not validate (status 3)
xmlto: Fix document syntax or use --skip-validation option
Document /home/gitster/w/git.git/Documentation/gitdatamodel.xml does not validate

Perhaps I forgot to send this after queuing the previous round, even
though it was queued on top of the previous round in 'seen'.  The
patch still applies cleanly to this version, and seems to fix the
breakage for me.

   ... goes and looks ...

Ah, no, I did not forget.  The same patch is in the review thread of
the previous round:

    https://lore.kernel.org/git/[email-masked]/

 Documentation/gitdatamodel.adoc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Documentation/gitdatamodel.adoc b/Documentation/gitdatamodel.adoc
index 1cefbb4833..eaab3f800b 100644
--- a/Documentation/gitdatamodel.adoc
+++ b/Documentation/gitdatamodel.adoc
@@ -18,13 +18,13 @@ means when the documentation says "object", "reference" or "index".
 
 Git's core operations use 4 kinds of data:
 
-1. <<objects,Objects>>: commits, trees, blobs, and tag objects
+1. <<object,Objects>>: commits, trees, blobs, and tag objects
 2. <<references,References>>: branches, tags,
    remote-tracking branches, etc
 3. <<index,The index>>, also known as the staging area
 4. <<reflogs,Reflogs>>: logs of changes to references ("ref log")
 
-[[objects]]
+[[object]]
 OBJECTS
 -------
 
-- 
2.52.0-rc1-455-g30608eb744